Package com.zfabrik.hubcr

## Class RemoteComponentRepositoryDB

- java.lang.Object
- - com.zfabrik.components.provider.util.FSComponentExtRepositoryDB<com.zfabrik.components.provider.util.FSCRDBComponent>
  - - com.zfabrik.components.provider.util.FSComponentRepositoryDB
    - - com.zfabrik.hubcr.RemoteComponentRepositoryDB

- All Implemented Interfaces:
    `java.io.Serializable`

      public class RemoteComponentRepositoryDB
      extends com.zfabrik.components.provider.util.FSComponentRepositoryDB

  The repository component DB for use with remote component repository
  Author:
    hb
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.zfabrik.components.provider.util.FSComponentExtRepositoryDB

      `FIND_CACHE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RemoteComponentRepositoryDB()` |
    `RemoteComponentRepositoryDB​(RemoteComponentRepositoryDB db)` | Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getRevision()` |
    `void` | `setRevision​(long revision)` |

    - ### Methods inherited from class com.zfabrik.components.provider.util.FSComponentExtRepositoryDB

      `clearCache, delegate, equals, findComponents, getCacheHits, getCacheQueries, getCacheSize, getComponents, getComponentsOfModule, getModules, getRevision, hasComponentModule, hashCode, hasModule, moduleOf, putComponent, removeComponent, removeModule`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteComponentRepositoryDB

          public RemoteComponentRepositoryDB()

    - #### RemoteComponentRepositoryDB

          public RemoteComponentRepositoryDB​(RemoteComponentRepositoryDB db)

      Copy constructor
      Parameters:
        `db` -

  - ### Method Detail

    - #### getRevision

          public long getRevision()

    - #### setRevision

          public void setRevision​(long revision)